# Uses of Interface
org.bukkit.entity.Hanging

Packages that use Hanging
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.hanging
`Events` relating to `entities that hang`.

## Uses of Hanging in org.bukkit.entity

Subinterfaces of Hanging in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`GlowItemFrame`
A Glow Item Frame.
`interface`
`ItemFrame`
Represents an Item Frame
`interface`
`LeashHitch`
Represents a Leash Hitch on a fence
`interface`
`Painting`
Represents a Painting.

## Uses of Hanging in org.bukkit.event.hanging

Fields in org.bukkit.event.hanging declared as Hanging
Modifier and Type
Field
Description
`protected Hanging`
HangingEvent.`hanging`
Methods in org.bukkit.event.hanging that return Hanging
Modifier and Type
Method
Description
`@NotNull Hanging`
HangingEvent.`getEntity()`
Gets the hanging entity involved in this event.
Constructors in org.bukkit.event.hanging with parameters of type Hanging
Modifier
Constructor
Description
``
`HangingBreakByEntityEvent(@NotNull Hanging hanging, @Nullable Entity remover)`
``
`HangingBreakByEntityEvent(@NotNull Hanging hanging, @Nullable Entity remover, HangingBreakEvent.RemoveCause cause)`
``
`HangingBreakEvent(@NotNull Hanging hanging, HangingBreakEvent.RemoveCause cause)`
`protected`
`HangingEvent(@NotNull Hanging painting)`
``
`HangingPlaceEvent(@NotNull Hanging hanging, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace, @Nullable EquipmentSlot hand)`
Deprecated.
``
`HangingPlaceEvent(@NotNull Hanging hanging, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace, @Nullable EquipmentSlot hand, @Nullable ItemStack itemStack)`